import express, {Express} from 'express';
import {linksRouter} from './routes/links.router';
import {connectToDatabase} from './services/database.service';

const app: Express = express();
app.use(express.json());
app.use('/links', linksRouter);

connectToDatabase()
  .then(() => {
    app.use('/links', linksRouter);
    app.listen(process.env.PORT, () => {
      console.log(`Server started at http://localhost:${process.env.PORT}`);
    });
  })
  .catch((error: Error) => {
    console.log('Database connection failed');
    process.exit();
  });
